<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="App\Repository\PadRepository")
 */
class Pad
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="text", nullable=true)
     */
    private $content;

    /**
     * @ORM\Column(type="datetime")
     */
    private $create_date;

    /**
     * @ORM\Column(type="boolean")
     */
    private $is_clear = true;

    /**
     * @ORM\Column(type="boolean")
     */
    private $is_published = true;

    /**
     * @ORM\Column(type="boolean")
     */
    private $expires = true;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $name;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $crypt_iv = "";

    /**
     * @ORM\Column(type="integer", nullable=true)
     */
    private $crypt_v;

    /**
     * @ORM\Column(type="integer", nullable=true)
     */
    private $crypt_iter;

    /**
     * @ORM\Column(type="integer", nullable=true)
     */
    private $crypt_ks;

    /**
     * @ORM\Column(type="integer", nullable=true)
     */
    private $crypt_ts;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $crypt_mode;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $crypt_cipher = "";

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $crypt_salt;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $crypt_adata = "";


    public function __construct()
    {
        $this->create_date = new \DateTime(); 
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getContent(): ?string
    {
        return $this->content;
    }

    public function setContent(?string $content): self
    {
        $this->content = $content;

        return $this;
    }

    public function getCreateDate(): ?\DateTimeInterface
    {
        return $this->create_date;
    }

    public function setCreateDate(\DateTimeInterface $create_date): self
    {
        $this->create_date = $create_date;

        return $this;
    }

    public function getIsClear(): ?bool
    {
        return $this->is_clear;
    }

    public function setIsClear(bool $is_clear): self
    {
        $this->is_clear = $is_clear;

        return $this;
    }

    public function getIsPublished(): ?bool
    {
        return $this->is_published;
    }

    public function setIsPublished(bool $is_published): self
    {
        $this->is_published = $is_published;

        return $this;
    }

    public function getExpires(): ?bool
    {
        return $this->expires;
    }

    public function setExpires(bool $expires): self
    {
        $this->expires = $expires;

        return $this;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    public function getCryptIv(): ?string
    {
        return $this->crypt_iv;
    }

    public function setCryptIv(?string $crypt_iv): self
    {
        $this->crypt_iv = $crypt_iv;

        return $this;
    }

    public function getCryptV(): ?int
    {
        return $this->crypt_v;
    }

    public function setCryptV(?int $crypt_v): self
    {
        $this->crypt_v = $crypt_v;

        return $this;
    }

    public function getCryptIter(): ?int
    {
        return $this->crypt_iter;
    }

    public function setCryptIter(?int $crypt_iter): self
    {
        $this->crypt_iter = $crypt_iter;

        return $this;
    }

    public function getCryptKs(): ?int
    {
        return $this->crypt_ks;
    }

    public function setCryptKs(?int $crypt_ks): self
    {
        $this->crypt_ks = $crypt_ks;

        return $this;
    }

    public function getCryptTs(): ?int
    {
        return $this->crypt_ts;
    }

    public function setCryptTs(?int $crypt_ts): self
    {
        $this->crypt_ts = $crypt_ts;

        return $this;
    }

    public function getCryptMode(): ?string
    {
        return $this->crypt_mode;
    }

    public function setCryptMode(?string $crypt_mode): self
    {
        $this->crypt_mode = $crypt_mode;

        return $this;
    }

    public function getCryptCipher(): ?string
    {
        return $this->crypt_cipher;
    }

    public function setCryptCipher(?string $crypt_cipher): self
    {
        $this->crypt_cipher = $crypt_cipher;

        return $this;
    }

    public function getCryptSalt(): ?string
    {
        return $this->crypt_salt;
    }

    public function setCryptSalt(?string $crypt_salt): self
    {
        $this->crypt_salt = $crypt_salt;

        return $this;
    }

    public function getCryptAdata(): ?string
    {
        return $this->crypt_adata;
    }

    public function setCryptAdata(?string $crypt_adata): self
    {
        $this->crypt_adata = $crypt_adata;

        return $this;
    }
}
